Index: /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLab.ArtificialNeuralNetworks-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLab.ArtificialNeuralNetworks-3.2.csproj	(revision 2807)
+++ /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLab.ArtificialNeuralNetworks-3.2.csproj	(revision 2808)
@@ -102,7 +102,7 @@
       <Name>HeuristicLab.Data-3.2</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.1.2.2591\ALGLIB-2.1.2.2591\ALGLIB-2.1.2.2591.csproj">
-      <Project>{44456535-5DB5-454A-BE2B-7426DA6700B6}</Project>
-      <Name>ALGLIB-2.1.2.2591</Name>
+    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.3.0\ALGLIB-2.3.0\ALGLIB-2.3.0.csproj">
+      <Project>{B5EAF001-021A-4572-84E3-FED4B8AEBBAB}</Project>
+      <Name>ALGLIB-2.3.0</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Modeling\3.2\HeuristicLab.Modeling-3.2.csproj">
Index: /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs	(revision 2807)
+++ /trunk/sources/HeuristicLab.ArtificialNeuralNetworks/3.2/HeuristicLabArtificialNeuralNetworksPlugin.cs	(revision 2808)
@@ -27,5 +27,5 @@
   [Plugin("HeuristicLab.ArtificialNeuralNetworks-3.2")]
   [PluginFile("HeuristicLab.ArtificialNeuralNetworks-3.2.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB-2.1.2.2591")]
+  [PluginDependency("HeuristicLab.ALGLIB","2.3.0.0")]
   [PluginDependency("HeuristicLab.Core-3.2")]
   [PluginDependency("HeuristicLab.Data-3.2")]
Index: /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj	(revision 2807)
+++ /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLab.LinearRegression-3.2.csproj	(revision 2808)
@@ -109,7 +109,7 @@
       <Name>HeuristicLab.Data-3.2</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.1.2.2591\ALGLIB-2.1.2.2591\ALGLIB-2.1.2.2591.csproj">
-      <Project>{44456535-5DB5-454A-BE2B-7426DA6700B6}</Project>
-      <Name>ALGLIB-2.1.2.2591</Name>
+    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.3.0\ALGLIB-2.3.0\ALGLIB-2.3.0.csproj">
+      <Project>{B5EAF001-021A-4572-84E3-FED4B8AEBBAB}</Project>
+      <Name>ALGLIB-2.3.0</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.GP.Interfaces\3.3\HeuristicLab.GP.Interfaces-3.3.csproj">
Index: /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame
===================================================================
--- /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame	(revision 2807)
+++ /trunk/sources/HeuristicLab.LinearRegression/3.2/HeuristicLabLinearRegressionPlugin.cs.frame	(revision 2808)
@@ -27,5 +27,5 @@
   [Plugin("HeuristicLab.LinearRegression","3.2.0.$WCREV$")]
   [PluginFile("HeuristicLab.LinearRegression-3.2.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB-2.1.2.2591")]
+  [PluginDependency("HeuristicLab.ALGLIB","2.3.0.0")]
   [PluginDependency("HeuristicLab.Common","3.2.0.0")]
   [PluginDependency("HeuristicLab.Core-3.2")]
Index: /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj	(revision 2807)
+++ /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLab.Modeling-3.2.csproj	(revision 2808)
@@ -146,7 +146,7 @@
       <Name>HeuristicLab.Data-3.2</Name>
     </ProjectReference>
-    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.1.2.2591\ALGLIB-2.1.2.2591\ALGLIB-2.1.2.2591.csproj">
-      <Project>{44456535-5DB5-454A-BE2B-7426DA6700B6}</Project>
-      <Name>ALGLIB-2.1.2.2591</Name>
+    <ProjectReference Include="..\..\HeuristicLab.ExtLibs\HeuristicLab.ALGLIB\2.3.0\ALGLIB-2.3.0\ALGLIB-2.3.0.csproj">
+      <Project>{B5EAF001-021A-4572-84E3-FED4B8AEBBAB}</Project>
+      <Name>ALGLIB-2.3.0</Name>
     </ProjectReference>
     <ProjectReference Include="..\..\HeuristicLab.Operators\3.2\HeuristicLab.Operators-3.2.csproj">
Index: /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLabModelingPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLabModelingPlugin.cs	(revision 2807)
+++ /trunk/sources/HeuristicLab.Modeling/3.2/HeuristicLabModelingPlugin.cs	(revision 2808)
@@ -28,5 +28,5 @@
   [Plugin("HeuristicLab.Modeling-3.2")]
   [PluginFile("HeuristicLab.Modeling-3.2.dll", PluginFileType.Assembly)]
-  [PluginDependency("HeuristicLab.ALGLIB-2.1.2.2591")]
+  [PluginDependency("HeuristicLab.ALGLIB","2.3.0.0")]
   [PluginDependency("HeuristicLab.Common","3.2.0.0")]
   [PluginDependency("HeuristicLab.Core-3.2")]