Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2811)
@@ -0,0 +1,269 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.4200
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService
+{
+    using System.Runtime.Serialization;
+    
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+    [System.Runtime.Serialization.DataContractAttribute(Name="PluginDescription", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment")]
+    public partial class PluginDescription : object, System.Runtime.Serialization.IExtensibleDataObject
+    {
+        
+        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+        
+        private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] DependenciesField;
+        
+        private string NameField;
+        
+        private System.Version VersionField;
+        
+        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
+        {
+            get
+            {
+                return this.extensionDataField;
+            }
+            set
+            {
+                this.extensionDataField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Dependencies
+        {
+            get
+            {
+                return this.DependenciesField;
+            }
+            set
+            {
+                this.DependenciesField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public string Name
+        {
+            get
+            {
+                return this.NameField;
+            }
+            set
+            {
+                this.NameField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Version Version
+        {
+            get
+            {
+                return this.VersionField;
+            }
+            set
+            {
+                this.VersionField = value;
+            }
+        }
+    }
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
+    [System.Runtime.Serialization.DataContractAttribute(Name="ProductDescription", Namespace="http://schemas.datacontract.org/2004/07/HeuristicLab.Services.Deployment")]
+    public partial class ProductDescription : object, System.Runtime.Serialization.IExtensibleDataObject
+    {
+        
+        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
+        
+        private string NameField;
+        
+        private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] PluginsField;
+        
+        private System.Version VersionField;
+        
+        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
+        {
+            get
+            {
+                return this.extensionDataField;
+            }
+            set
+            {
+                this.extensionDataField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public string Name
+        {
+            get
+            {
+                return this.NameField;
+            }
+            set
+            {
+                this.NameField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Plugins
+        {
+            get
+            {
+                return this.PluginsField;
+            }
+            set
+            {
+                this.PluginsField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public System.Version Version
+        {
+            get
+            {
+                return this.VersionField;
+            }
+            set
+            {
+                this.VersionField = value;
+            }
+        }
+    }
+    
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate")]
+    public interface IUpdate
+    {
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetPlugin", ReplyAction="http://tempuri.org/IUpdate/GetPluginResponse")]
+        byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description);
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetProducts", ReplyAction="http://tempuri.org/IUpdate/GetProductsResponse")]
+        HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts();
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IUpdate/GetPlugins", ReplyAction="http://tempuri.org/IUpdate/GetPluginsResponse")]
+        HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins();
+    }
+    
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    public interface IUpdateChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate, System.ServiceModel.IClientChannel
+    {
+    }
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    public partial class UpdateClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate
+    {
+        
+        public UpdateClient()
+        {
+        }
+        
+        public UpdateClient(string endpointConfigurationName) : 
+                base(endpointConfigurationName)
+        {
+        }
+        
+        public UpdateClient(string endpointConfigurationName, string remoteAddress) : 
+                base(endpointConfigurationName, remoteAddress)
+        {
+        }
+        
+        public UpdateClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
+                base(endpointConfigurationName, remoteAddress)
+        {
+        }
+        
+        public UpdateClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
+                base(binding, remoteAddress)
+        {
+        }
+        
+        public byte[] GetPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription description)
+        {
+            return base.Channel.GetPlugin(description);
+        }
+        
+        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[] GetProducts()
+        {
+            return base.Channel.GetProducts();
+        }
+        
+        public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] GetPlugins()
+        {
+            return base.Channel.GetPlugins();
+        }
+    }
+    
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin")]
+    public interface IAdmin
+    {
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAdmin/DeployProduct", ReplyAction="http://tempuri.org/IAdmin/DeployProductResponse")]
+        void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product);
+        
+        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IAdmin/DeployPlugin", ReplyAction="http://tempuri.org/IAdmin/DeployPluginResponse")]
+        void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile);
+    }
+    
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    public interface IAdminChannel : HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin, System.ServiceModel.IClientChannel
+    {
+    }
+    
+    [System.Diagnostics.DebuggerStepThroughAttribute()]
+    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
+    public partial class AdminClient : System.ServiceModel.ClientBase<HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin>, HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin
+    {
+        
+        public AdminClient()
+        {
+        }
+        
+        public AdminClient(string endpointConfigurationName) : 
+                base(endpointConfigurationName)
+        {
+        }
+        
+        public AdminClient(string endpointConfigurationName, string remoteAddress) : 
+                base(endpointConfigurationName, remoteAddress)
+        {
+        }
+        
+        public AdminClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
+                base(endpointConfigurationName, remoteAddress)
+        {
+        }
+        
+        public AdminClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
+                base(binding, remoteAddress)
+        {
+        }
+        
+        public void DeployProduct(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription product)
+        {
+            base.Channel.DeployProduct(product);
+        }
+        
+        public void DeployPlugin(HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription plugin, byte[] zipFile)
+        {
+            base.Channel.DeployPlugin(plugin, zipFile);
+        }
+    }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 2811)
@@ -0,0 +1,41 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure.Manager;
+using System.IO;
+using System.ComponentModel;
+using System.Reflection;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  // extension of auto-generated DataContract class PluginDescription
+  public partial class PluginDescription {
+    public PluginDescription(string name, Version version) : this(name, version, new List<PluginDescription>()) { }
+    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies) {
+      this.Name = name;
+      this.Version = version;
+      this.Dependencies = dependencies.ToArray();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/ProductDescription.cs	(revision 2811)
@@ -0,0 +1,44 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.PluginInfrastructure.Manager;
+using System.IO;
+using System.ComponentModel;
+using System.Reflection;
+
+namespace HeuristicLab.PluginInfrastructure.Advanced.DeploymentService {
+  // extension of auto-generated DataContract class ProductDescription
+  public partial class ProductDescription {
+    public ProductDescription(string name, Version version)
+      : this(name, version, new List<PluginDescription>()) {
+    }
+
+    public ProductDescription(string name, Version version, IEnumerable<PluginDescription> plugins) {
+      this.Name = name;
+      this.Version = version;
+      this.Plugins = plugins.ToArray();
+    }
+  }
+}
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 2811)
@@ -0,0 +1,2 @@
+﻿#
+svcutil http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/mex http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/mex  /language:C# /targetClientVersion:Version35 /out:DeploymentService /namespace:*,HeuristicLab.PluginInfrastructure.Advanced.DeploymentService
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/output.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/output.config	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/output.config	(revision 2811)
@@ -0,0 +1,61 @@
+<?xml version="1.0" encoding="utf-8"?>
+<configuration>
+    <system.serviceModel>
+        <bindings>
+            <wsHttpBinding>
+                <binding name="WSHttpBinding_IUpdate" closeTimeout="00:01:00"
+                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
+                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
+                    allowCookies="false">
+                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
+                        enabled="false" />
+                    <security mode="Message">
+                        <transport clientCredentialType="Windows" proxyCredentialType="None"
+                            realm="" />
+                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
+                            algorithmSuite="Default" establishSecurityContext="true" />
+                    </security>
+                </binding>
+                <binding name="WSHttpBinding_IAdmin" closeTimeout="00:01:00"
+                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
+                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
+                    allowCookies="false">
+                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
+                        enabled="false" />
+                    <security mode="Message">
+                        <transport clientCredentialType="Windows" proxyCredentialType="None"
+                            realm="" />
+                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
+                            algorithmSuite="Default" establishSecurityContext="true" />
+                    </security>
+                </binding>
+            </wsHttpBinding>
+        </bindings>
+        <client>
+            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate"
+                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate"
+                name="WSHttpBinding_IUpdate">
+                <identity>
+                    <dns value="localhost" />
+                </identity>
+            </endpoint>
+            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdmin"
+                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin"
+                name="WSHttpBinding_IAdmin">
+                <identity>
+                    <dns value="localhost" />
+                </identity>
+            </endpoint>
+        </client>
+    </system.serviceModel>
+</configuration>
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 2790)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManager.cs	(revision 2811)
@@ -27,5 +27,4 @@
 using System.IO;
 using System.ComponentModel;
-using UpdateService = HeuristicLab.PluginInfrastructure.PluginUpdateService;
 using System.Reflection;
 
@@ -185,12 +184,12 @@
       var pluginDescriptions = from name in pluginNames
                                select GetPluginDescription(name);
-      Dictionary<UpdateService.PluginDescription, string> matchingPlugins = new Dictionary<UpdateService.PluginDescription, string>();
+      Dictionary<DeploymentService.PluginDescription, string> matchingPlugins = new Dictionary<DeploymentService.PluginDescription, string>();
       foreach (var updateLocation in HeuristicLab.PluginInfrastructure.Properties.Settings.Default.UpdateLocations) {
-        using (var client = new UpdateService.UpdateClient("", updateLocation)) {
+        using (var client = new DeploymentService.UpdateClient("", updateLocation)) {
           var updateLocationMatchingPlugins = from desc in pluginDescriptions
                                               from info in client.GetPlugins()
                                               where desc.Name == info.Name
                                               select info;
-          foreach (UpdateService.PluginDescription info in updateLocationMatchingPlugins) {
+          foreach (DeploymentService.PluginDescription info in updateLocationMatchingPlugins) {
             // keep only the highest version of any plugin
             var existingPlugin = matchingPlugins.Keys.FirstOrDefault(x => x.Name == info.Name);
@@ -207,5 +206,5 @@
         var groupedInfos = matchingPlugins.GroupBy(x => x.Value);
         foreach (var group in groupedInfos) {
-          using (var client = new UpdateService.UpdateClient(group.Key)) {
+          using (var client = new DeploymentService.UpdateClient(group.Key)) {
             foreach (var info in group) {
               client.GetPlugin(info.Key);
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs	(revision 2790)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerConsole.cs	(revision 2811)
@@ -27,5 +27,5 @@
 using System.IO;
 using System.ComponentModel;
-using UpdateService = HeuristicLab.PluginInfrastructure.PluginUpdateService;
+
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
@@ -44,5 +44,5 @@
     void installManager_PreUpdatePlugin(object sender, PluginInfrastructureCancelEventArgs e) {
       Console.WriteLine("Following plugins are updated:");
-      var infos = (IEnumerable<UpdateService.PluginDescription>)e.Entity;
+      var infos = (IEnumerable<PluginDescription>)e.Entity;
       foreach (var info in infos) {
         Console.WriteLine(info.Name + " " + info.Version);
@@ -54,5 +54,5 @@
 
     void installManager_PluginUpdated(object sender, PluginInfrastructureEventArgs e) {
-      foreach (var info in (IEnumerable<UpdateService.PluginDescription>)e.Entity)
+      foreach (var info in (IEnumerable<PluginDescription>)e.Entity)
         Console.WriteLine("Updated: {0}", info.Name);
     }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 2790)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 2811)
@@ -92,4 +92,5 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Advanced\DeploymentService\DeploymentService.cs" />
     <Compile Include="Advanced\InstallationManagerConsole.cs" />
     <Compile Include="Advanced\InstallationManager.cs" />
@@ -99,4 +100,10 @@
     <Compile Include="Advanced\InstallationManagerForm.Designer.cs">
       <DependentUpon>InstallationManagerForm.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Advanced\DeploymentService\PluginDescription.cs">
+      <SubType>Code</SubType>
+    </Compile>
+    <Compile Include="Advanced\DeploymentService\ProductDescription.cs">
+      <SubType>Code</SubType>
     </Compile>
     <Compile Include="Attributes\ApplicationAttribute.cs" />
@@ -155,9 +162,4 @@
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
     </None>
-    <None Include="Service References\PluginUpdateService\HeuristicLab.Services.Deployment.DataAccess.xsd" />
-    <None Include="Service References\PluginUpdateService\service.wsdl" />
-    <None Include="Service References\PluginUpdateService\service.xsd" />
-    <None Include="Service References\PluginUpdateService\service1.xsd" />
-    <None Include="Service References\PluginUpdateService\System.xsd" />
     <Compile Include="Properties\Settings.Designer.cs">
       <AutoGen>True</AutoGen>
@@ -166,9 +168,4 @@
     </Compile>
     <Compile Include="Sandboxing\SandboxManager.cs" />
-    <Compile Include="Service References\PluginUpdateService\Reference.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTime>True</DesignTime>
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </Compile>
     <Compile Include="Starter\SplashScreen.cs">
       <SubType>Form</SubType>
@@ -196,22 +193,9 @@
     <Content Include="Resources\List.gif" />
     <Content Include="Resources\Logo_white.gif" />
-    <None Include="Service References\PluginUpdateService\HeuristicLab.PluginInfrastructure.PluginUpdateService.PluginDescription.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\PluginUpdateService\HeuristicLab.PluginInfrastructure.PluginUpdateService.ProductDescription.datasource">
-      <DependentUpon>Reference.svcmap</DependentUpon>
-    </None>
-    <None Include="Service References\PluginUpdateService\Reference.svcmap">
-      <Generator>WCF Proxy Generator</Generator>
-      <LastGenOutput>Reference.cs</LastGenOutput>
-    </None>
-    <None Include="Service References\PluginUpdateService\configuration.svcinfo" />
-    <None Include="Service References\PluginUpdateService\configuration91.svcinfo" />
+    <None Include="Advanced\DeploymentService\output.config" />
+    <None Include="Advanced\DeploymentService\RegenerateServiceClasses.cmd" />
   </ItemGroup>
   <ItemGroup>
     <WCFMetadata Include="Service References\" />
-  </ItemGroup>
-  <ItemGroup>
-    <WCFMetadataStorage Include="Service References\PluginUpdateService\" />
   </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
Index: trunk/sources/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2790)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2811)
@@ -25,34 +25,6 @@
     </applicationSettings>
     <system.serviceModel>
-        <bindings>
-            <wsHttpBinding>
-                <binding name="WSHttpBinding_IUpdate" closeTimeout="00:01:00"
-                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
-                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
-                    allowCookies="false">
-                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
-                        enabled="false" />
-                    <security mode="Message">
-                        <transport clientCredentialType="Windows" proxyCredentialType="None"
-                            realm="" />
-                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
-                            algorithmSuite="Default" establishSecurityContext="true" />
-                    </security>
-                </binding>
-            </wsHttpBinding>
-        </bindings>
-        <client>
-            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/"
-                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate"
-                contract="PluginUpdateService.IUpdate" name="WSHttpBinding_IUpdate">
-                <identity>
-                    <dns value="localhost" />
-                </identity>
-            </endpoint>
-        </client>
+        <bindings />
+        <client />
     </system.serviceModel>
 </configuration>