Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/RegenerateServiceClasses.cmd	(revision 2812)
@@ -1,2 +1,2 @@
 ﻿#
-svcutil http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/mex http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/mex  /language:C# /targetClientVersion:Version35 /out:DeploymentService /namespace:*,HeuristicLab.PluginInfrastructure.Advanced.DeploymentService
+svcutil http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/mex http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/mex  /language:C# /targetClientVersion:Version35 /out:DeploymentService /namespace:*,HeuristicLab.PluginInfrastructure.Advanced.DeploymentService /mergeConfig /config:../../app.config
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/output.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/output.config	(revision 2811)
+++ 	(revision )
@@ -1,61 +1,0 @@
-<?xml version="1.0" encoding="utf-8"?>
-<configuration>
-    <system.serviceModel>
-        <bindings>
-            <wsHttpBinding>
-                <binding name="WSHttpBinding_IUpdate" closeTimeout="00:01:00"
-                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
-                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
-                    allowCookies="false">
-                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
-                        enabled="false" />
-                    <security mode="Message">
-                        <transport clientCredentialType="Windows" proxyCredentialType="None"
-                            realm="" />
-                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
-                            algorithmSuite="Default" establishSecurityContext="true" />
-                    </security>
-                </binding>
-                <binding name="WSHttpBinding_IAdmin" closeTimeout="00:01:00"
-                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
-                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
-                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
-                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
-                    allowCookies="false">
-                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
-                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
-                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
-                        enabled="false" />
-                    <security mode="Message">
-                        <transport clientCredentialType="Windows" proxyCredentialType="None"
-                            realm="" />
-                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
-                            algorithmSuite="Default" establishSecurityContext="true" />
-                    </security>
-                </binding>
-            </wsHttpBinding>
-        </bindings>
-        <client>
-            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/"
-                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate"
-                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate"
-                name="WSHttpBinding_IUpdate">
-                <identity>
-                    <dns value="localhost" />
-                </identity>
-            </endpoint>
-            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/"
-                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdmin"
-                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin"
-                name="WSHttpBinding_IAdmin">
-                <identity>
-                    <dns value="localhost" />
-                </identity>
-            </endpoint>
-        </client>
-    </system.serviceModel>
-</configuration>
Index: trunk/sources/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2811)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2812)
@@ -25,6 +25,60 @@
     </applicationSettings>
     <system.serviceModel>
-        <bindings />
-        <client />
+        <bindings>
+            <wsHttpBinding>
+                <binding name="WSHttpBinding_IUpdate" closeTimeout="00:01:00"
+                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
+                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
+                    allowCookies="false">
+                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
+                        enabled="false" />
+                    <security mode="Message">
+                        <transport clientCredentialType="Windows" proxyCredentialType="None"
+                            realm="" />
+                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
+                            algorithmSuite="Default" establishSecurityContext="true" />
+                    </security>
+                </binding>
+                <binding name="WSHttpBinding_IAdmin" closeTimeout="00:01:00"
+                    openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
+                    bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
+                    maxBufferPoolSize="524288" maxReceivedMessageSize="65536"
+                    messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
+                    allowCookies="false">
+                    <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
+                        maxBytesPerRead="4096" maxNameTableCharCount="16384" />
+                    <reliableSession ordered="true" inactivityTimeout="00:10:00"
+                        enabled="false" />
+                    <security mode="Message">
+                        <transport clientCredentialType="Windows" proxyCredentialType="None"
+                            realm="" />
+                        <message clientCredentialType="Windows" negotiateServiceCredential="true"
+                            algorithmSuite="Default" establishSecurityContext="true" />
+                    </security>
+                </binding>
+            </wsHttpBinding>
+        </bindings>
+        <client>
+            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate"
+                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate"
+                name="WSHttpBinding_IUpdate">
+                <identity>
+                    <dns value="localhost" />
+                </identity>
+            </endpoint>
+            <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdmin"
+                contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin"
+                name="WSHttpBinding_IAdmin">
+                <identity>
+                    <dns value="localhost" />
+                </identity>
+            </endpoint>
+        </client>
     </system.serviceModel>
 </configuration>