Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2812)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/DeploymentService.cs	(revision 2814)
@@ -22,6 +22,10 @@
         private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
         
+        private string ContactInformationField;
+        
         private HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] DependenciesField;
         
+        private string LicenseTextField;
+        
         private string NameField;
         
@@ -41,4 +45,17 @@
         
         [System.Runtime.Serialization.DataMemberAttribute()]
+        public string ContactInformation
+        {
+            get
+            {
+                return this.ContactInformationField;
+            }
+            set
+            {
+                this.ContactInformationField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
         public HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.PluginDescription[] Dependencies
         {
@@ -50,4 +67,17 @@
             {
                 this.DependenciesField = value;
+            }
+        }
+        
+        [System.Runtime.Serialization.DataMemberAttribute()]
+        public string LicenseText
+        {
+            get
+            {
+                return this.LicenseTextField;
+            }
+            set
+            {
+                this.LicenseTextField = value;
             }
         }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 2812)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/DeploymentService/PluginDescription.cs	(revision 2814)
@@ -33,8 +33,14 @@
   public partial class PluginDescription {
     public PluginDescription(string name, Version version) : this(name, version, new List<PluginDescription>()) { }
-    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies) {
+    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies)
+      : this(name, version, dependencies, string.Empty, string.Empty) {
+    }
+
+    public PluginDescription(string name, Version version, IEnumerable<PluginDescription> dependencies, string contactInformation, string licenseText) {
       this.Name = name;
       this.Version = version;
       this.Dependencies = dependencies.ToArray();
+      this.ContactInformation = contactInformation;
+      this.LicenseText = licenseText;
     }
   }
Index: trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 2812)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/HeuristicLab.PluginInfrastructure.csproj	(revision 2814)
@@ -193,5 +193,4 @@
     <Content Include="Resources\List.gif" />
     <Content Include="Resources\Logo_white.gif" />
-    <None Include="Advanced\DeploymentService\output.config" />
     <None Include="Advanced\DeploymentService\RegenerateServiceClasses.cmd" />
   </ItemGroup>
Index: trunk/sources/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2812)
+++ trunk/sources/HeuristicLab.PluginInfrastructure/app.config	(revision 2814)
@@ -27,5 +27,5 @@
         <bindings>
             <wsHttpBinding>
-                <binding name="WSHttpBinding_IUpdate" closeTimeout="00:01:00"
+                <binding name="WSHttpBinding_IUpdate2" closeTimeout="00:01:00"
                     openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
                     bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
@@ -44,5 +44,5 @@
                     </security>
                 </binding>
-                <binding name="WSHttpBinding_IAdmin" closeTimeout="00:01:00"
+                <binding name="WSHttpBinding_IAdmin2" closeTimeout="00:01:00"
                     openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
                     bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
@@ -65,7 +65,7 @@
         <client>
             <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Update/"
-                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IUpdate2"
                 contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IUpdate"
-                name="WSHttpBinding_IUpdate">
+                name="WSHttpBinding_IUpdate2">
                 <identity>
                     <dns value="localhost" />
@@ -73,7 +73,7 @@
             </endpoint>
             <endpoint address="http://localhost:8731/Design_Time_Addresses/HeuristicLab.Services.Deployment/Admin/"
-                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdmin"
+                binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IAdmin2"
                 contract="HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.IAdmin"
-                name="WSHttpBinding_IAdmin">
+                name="WSHttpBinding_IAdmin2">
                 <identity>
                     <dns value="localhost" />