Index: trunk/sources/HeuristicLab.Core.Views/3.3/Auxiliary.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/Auxiliary.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/Auxiliary.cs	(revision 2818)
@@ -21,5 +21,4 @@
 
 using System;
-using System.Collections.Generic;
 using System.Text;
 using System.Windows.Forms;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/CreateParameterDialog.cs	(revision 2818)
@@ -21,13 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
-using System.Linq;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Core;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/EngineView.cs	(revision 2818)
@@ -21,11 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.Core;
 using HeuristicLab.Common;
 using HeuristicLab.MainForm;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs.frame
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs.frame	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/HeuristicLabCoreViewsPlugin.cs.frame	(revision 2818)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using System.Collections.Generic;
-using System.Text;
 using HeuristicLab.PluginInfrastructure;
 
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemArrayView.cs	(revision 2818)
@@ -22,11 +22,7 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 2818)
@@ -22,11 +22,6 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemListView.cs	(revision 2818)
@@ -22,11 +22,7 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
 using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemSetView.cs	(revision 2818)
@@ -20,13 +20,7 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ItemView.cs	(revision 2818)
@@ -21,11 +21,4 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
-using System.Xml;
-using System.Windows.Forms;
 using HeuristicLab.MainForm;
 using HeuristicLab.MainForm.WindowsForms;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemCollectionView.cs	(revision 2818)
@@ -20,13 +20,7 @@
 #endregion
 
-using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Collections;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 
Index: trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/NamedItemView.cs	(revision 2818)
@@ -21,9 +21,5 @@
 
 using System;
-using System.Collections.Generic;
 using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorCollectionView.cs	(revision 2818)
@@ -1,12 +1,5 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
+﻿using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorGraphView.cs	(revision 2818)
@@ -21,15 +21,8 @@
 
 using System;
-using System.Collections.Generic;
 using System.ComponentModel;
 using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorListView.cs	(revision 2818)
@@ -1,12 +1,5 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
+﻿using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorSetView.cs	(revision 2818)
@@ -1,12 +1,5 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
+﻿using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorTreeView.cs	(revision 2818)
@@ -24,11 +24,7 @@
 using System.ComponentModel;
 using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/OperatorsSidebar.cs	(revision 2818)
@@ -21,13 +21,5 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
-using System.Linq;
-using HeuristicLab.MainForm;
-using HeuristicLab.MainForm.WindowsForms;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ParameterCollectionView.cs	(revision 2818)
@@ -21,13 +21,7 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ScopeListView.cs	(revision 2818)
@@ -1,12 +1,4 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
+﻿using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ScopeView.cs	(revision 2818)
@@ -22,13 +22,7 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Common;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelector.cs	(revision 2818)
@@ -21,14 +21,9 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
+using System.Linq;
 using System.Text;
 using System.Windows.Forms;
-using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.MainForm;
 
 namespace HeuristicLab.Core.Views { 
Index: trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/TypeSelectorDialog.cs	(revision 2818)
@@ -21,12 +21,5 @@
 
 using System;
-using System.Collections;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Data;
-using System.Drawing;
-using System.Text;
 using System.Windows.Forms;
-using HeuristicLab.PluginInfrastructure;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ValueParameterCollectionView.cs	(revision 2818)
@@ -21,13 +21,7 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableCollectionView.cs	(revision 2818)
@@ -1,12 +1,4 @@
-﻿using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Linq;
-using System.Text;
-using System.Windows.Forms;
+﻿using HeuristicLab.Collections;
 using HeuristicLab.MainForm;
-using HeuristicLab.Collections;
 
 namespace HeuristicLab.Core.Views {
Index: trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/VariableView.cs	(revision 2818)
@@ -21,10 +21,6 @@
 
 using System;
-using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.Common;
 using HeuristicLab.MainForm;
 
@@ -95,5 +91,5 @@
       } else {
         Caption = Content.Name + " (" + Content.GetType().Name + ")";
-        dataTypeTextBox.Text = Content.Value == null ? "-" : Content.Value.GetType().FullName;
+        dataTypeTextBox.Text = Content.Value == null ? "-" : Content.Value.GetType().GetPrettyName();
         dataTypeTextBox.Enabled = Content.Value != null;
         setValueButton.Enabled = Content.Value == null;
@@ -108,5 +104,5 @@
         Invoke(new EventHandler(Content_ValueChanged), sender, e);
       else {
-        dataTypeTextBox.Text = Content.Value == null ? "-" : Content.Value.GetType().FullName;
+        dataTypeTextBox.Text = Content.Value == null ? "-" : Content.Value.GetType().GetPrettyName();
         dataTypeTextBox.Enabled = Content.Value != null;
         setValueButton.Enabled = Content.Value == null;
Index: trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs
===================================================================
--- trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs	(revision 2817)
+++ trunk/sources/HeuristicLab.Core.Views/3.3/ViewHost.cs	(revision 2818)
@@ -22,10 +22,6 @@
 using System;
 using System.Collections.Generic;
-using System.ComponentModel;
-using System.Drawing;
-using System.Data;
-using System.Text;
+using System.Linq;
 using System.Windows.Forms;
-using System.Linq;
 using HeuristicLab.Common;
 using HeuristicLab.MainForm;