Index: trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/FunctionLibraryInjector.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/FunctionLibraryInjector.cs	(revision 2820)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.Networks/3.2/FunctionLibraryInjector.cs	(revision 2821)
@@ -66,8 +66,8 @@
 
     protected override FunctionLibrary CreateFunctionLibrary() {
-      return Create(GetVariableValue<BoolData>(DIFFERENTIALS_ALLOWED, null, false).Data, minTimeOffset, maxTimeOffset);
+      return Create(minTimeOffset, maxTimeOffset);
     }
 
-    public static FunctionLibrary Create(bool includeDifferential, int minTimeOffset, int maxTimeOffset) {
+    public static FunctionLibrary Create(int minTimeOffset, int maxTimeOffset) {
       FunctionLibrary functionLibrary = new FunctionLibrary();
 
@@ -83,9 +83,8 @@
       List<IFunction> f0Functions =
         new List<IFunction>() { 
-          variable, constant, addition, subtraction,
+          differential, variable, constant, addition, subtraction,
           division, multiplication};
 
-      if (includeDifferential)
-        f0Functions.Add(differential);
+
       #endregion
 
@@ -144,6 +143,4 @@
       SetAllowedSubOperators(openSub, f1Functions);
 
-      if (includeDifferential)
-        functionLibrary.AddFunction(differential);
       f0Functions.ForEach(x => functionLibrary.AddFunction(x));
       f1Functions.ForEach(x => functionLibrary.AddFunction(x));
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/OffspringSelectionGPTimeSeriesPrognosis.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/OffspringSelectionGPTimeSeriesPrognosis.cs	(revision 2820)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/OffspringSelectionGPTimeSeriesPrognosis.cs	(revision 2821)
@@ -54,5 +54,4 @@
       SequentialProcessor seq = new SequentialProcessor();
       DefaultFunctionLibraryInjector funLibInjector = new DefaultFunctionLibraryInjector();
-      funLibInjector.GetVariable("Differentials").Value = new BoolData(true);
       seq.AddSubOperator(funLibInjector);
       seq.AddSubOperator(new ScalingTreeEvaluatorInjector());
Index: trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/StandardGPTimeSeriesPrognosis.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/StandardGPTimeSeriesPrognosis.cs	(revision 2820)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification.TimeSeries/3.3/StandardGPTimeSeriesPrognosis.cs	(revision 2821)
@@ -54,5 +54,4 @@
       SequentialProcessor seq = new SequentialProcessor();
       DefaultFunctionLibraryInjector funLibInjector = new DefaultFunctionLibraryInjector();
-      funLibInjector.GetVariable("Differentials").Value = new BoolData(true);
       seq.AddSubOperator(funLibInjector);
       seq.AddSubOperator(new ScalingTreeEvaluatorInjector());
Index: trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/FunctionLibraryInjectors/DefaultFunctionLibraryInjector.cs
===================================================================
--- trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/FunctionLibraryInjectors/DefaultFunctionLibraryInjector.cs	(revision 2820)
+++ trunk/sources/HeuristicLab.GP.StructureIdentification/3.3/FunctionLibraryInjectors/DefaultFunctionLibraryInjector.cs	(revision 2821)
@@ -126,12 +126,4 @@
       return functionLibrary;
     }
-
-    private void ConditionalAddFunction(string condName, IFunction fun, List<IFunction> list) {
-      if (GetVariableValue<BoolData>(condName, null, false).Data) list.Add(fun);
-    }
-
-    private void ConditionalAddOperator(string condName, FunctionLibrary functionLib, IFunction op) {
-      if (GetVariableValue<BoolData>(condName, null, false).Data) functionLib.AddFunction(op);
-    }
   }
 }